Issue 104949

Summary: SRB: inserted data/time, date shows up in different format
Product: Base Reporter: r4zoli <r4zoli>
Component: ReportBuilderAssignee: marc.neumann
Status: CLOSED FIXED QA Contact: issues@dba <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: DEV300m57   
Target Milestone: OOo 3.3   
Hardware: Unknown   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
bugdoc with Report1 none

Description r4zoli 2009-09-10 10:15:14 UTC
Open attached file, it was created in DEV300_m57.
Run report, Report1. 
Date/time field inserted to different sections with Insert>Date/time menu item
shows date in different format. 

On page header/footer in format: 2009.9.10

On report header/footer, and details: 2009-09-10 

The settings in General/Formatting not changed it was set by SRB automatically:
Language Hungarian (this from my local settings) with format code: YYYY". "M". "D.
Comment 1 r4zoli 2009-09-10 10:16:32 UTC
Created attachment 64669 [details]
bugdoc with Report1
Comment 2 Frank Schönheit 2009-09-30 13:30:10 UTC
fs->oj: Can confirm this: In the attached bug doc, all contained date fields
have the same format and the same content, but show up with different formats
when the report is executed.
Comment 3 Frank Schönheit 2009-09-30 13:33:30 UTC
note: I also tried this in CWS dba32h, which contains the latest and greatest
DBA code (after merging in the fix for issue 105371), there the bug is also present.
Comment 4 ocke.janssen 2009-11-20 08:42:04 UTC
As workaround you could move the control a little bit down or right. :-)
Comment 5 ocke.janssen 2009-11-24 10:34:59 UTC
Fixed in cws dba33d
Comment 6 ocke.janssen 2009-12-18 08:55:03 UTC
Please verify. Thanks.
Comment 7 marc.neumann 2010-01-13 13:45:48 UTC
verified in CWS dba33d

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba33d
Comment 8 r4zoli 2010-04-10 15:26:21 UTC
Checked in DEV300m76, with ORB m76 works.